## org.eclipse.jst.pagedesigner.editors.properties.quickedittabsections
Enum SECTION_TYPE

    java.lang.Object
      java.lang.Enum<SECTION_TYPE>
          org.eclipse.jst.pagedesigner.editors.properties.quickedittabsections.SECTION_TYPE

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SECTION_TYPE>

    public enum SECTION_TYPE

extends java.lang.Enum<SECTION_TYPE>

A representation of the literals of the enumeration 'SECTION TYPE', and utility methods for working with them.

See Also:
  `QuickEditTabSectionsPackage.getSECTION_TYPE()`

Enum Constant Summary
`ATTRIBUTE` The 'ATTRIBUTE' literal object
`SECTION` The 'SECTION' literal object

Field Summary
`static int` `ATTRIBUTE_VALUE` The 'ATTRIBUTE' literal value
`static java.lang.String` `copyright`
`static int` `SECTION_VALUE` The 'SECTION' literal value
`static java.util.List<SECTION_TYPE>` `VALUES` A public read-only list of all the 'SECTION TYPE' enumerators

Method Summary
`static SECTION_TYPE` `get(int value)` Returns the 'SECTION TYPE' literal with the specified integer value
`static SECTION_TYPE` `get(java.lang.String literal)` Returns the 'SECTION TYPE' literal with the specified literal value
`static SECTION_TYPE` `getByName(java.lang.String name)` Returns the 'SECTION TYPE' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static SECTION_TYPE` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SECTION_TYPE[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ATTRIBUTE

    public static final SECTION_TYPE ATTRIBUTE

  The 'ATTRIBUTE' literal object.

  See Also:
    `ATTRIBUTE_VALUE`

### SECTION

    public static final SECTION_TYPE SECTION

  The 'SECTION' literal object.

  See Also:
    `SECTION_VALUE`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### ATTRIBUTE_VALUE

    public static final int ATTRIBUTE_VALUE

  The 'ATTRIBUTE' literal value.

  If the meaning of 'ATTRIBUTE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ATTRIBUTE`, Constant Field Values

### SECTION_VALUE

    public static final int SECTION_VALUE

  The 'SECTION' literal value.

  If the meaning of 'SECTION' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SECTION`, Constant Field Values

### VALUES

    public static final java.util.List<SECTION_TYPE> VALUES

  A public read-only list of all the 'SECTION TYPE' enumerators.

Method Detail

### values

    public static SECTION_TYPE[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SECTION_TYPE c : SECTION_TYPE.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SECTION_TYPE valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### get

    public static SECTION_TYPE get(java.lang.String literal)

  Returns the 'SECTION TYPE' literal with the specified literal value.

  Parameters:
    `literal` -
  Returns:
    SECTION_TYPE

### getByName

    public static SECTION_TYPE getByName(java.lang.String name)

  Returns the 'SECTION TYPE' literal with the specified name.

  Parameters:
    `name` -
  Returns:
    SECTION_TYPE

### get

    public static SECTION_TYPE get(int value)

  Returns the 'SECTION TYPE' literal with the specified integer value.

  Parameters:
    `value` -
  Returns:
    SECTION_TYPE

### getValue

    public int getValue()

### getName

    public java.lang.String getName()

### getLiteral

    public java.lang.String getLiteral()

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<SECTION_TYPE>`